Bug 616058 - simple problem with initdb
simple problem with initdb
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 10:44 EDT by Friedel Völker
Modified: 2013-07-02 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 20:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Friedel Völker 2010-07-19 10:44:39 EDT
Description of problem:

root@mypc# service postgresql initdb
fails because of existing directory /var/lib/pgsql/data/pg_log

Version-Release number of selected component (if applicable):
postgresql-server-8.4.4-1.fc13.x86_64


How reproducible:

Steps to Reproduce:
1. yum install postgresql
2. yum install postgresql-server
3. service postgresql initdb
  
Actual results: FAIL

Expected results: OK

Additional info:
Works fine after deleting the directory
[root@mypc ~]# rmdir /var/lib/pgsql/data/pg_log/
Comment 1 Tom Lane 2010-07-27 12:07:42 EDT
This would most certainly not happen given only the claimed "steps to reproduce".  You must have had a previous postgres installation in there at some point.  Was there really nothing in /var/lib/pgsql/data/ except the pg_log subdirectory?  Can you recall just how you got to this state?
Comment 2 Tom Lane 2010-11-15 20:22:54 EST
Closing for lack of response.

Note You need to log in before you can comment on or make changes to this bug.